<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "https://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="https://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
<title>TestNG Report</title>
<style type="text/css">table {margin-bottom:10px;border-collapse:collapse;empty-cells:show}th,td {border:1px solid #009;padding:.25em .5em}th {vertical-align:bottom}td {vertical-align:top}table a {font-weight:bold}.stripe td {background-color: #E6EBF9}.num {text-align:right}.passedodd td {background-color: #3F3}.passedeven td {background-color: #0A0}.skippedodd td {background-color: #DDD}.skippedeven td {background-color: #CCC}.failedodd td,.attn {background-color: #F33}.failedeven td,.stripe .attn {background-color: #D00}.stacktrace {white-space:pre;font-family:monospace}.totop {font-size:85%;text-align:center;border-bottom:2px solid #000}.invisible {display:none}</style>
</head>
<body>
<table>
<tr><th>Test</th><th># Passed</th><th># Skipped</th><th># Retried</th><th># Failed</th><th>Time (ms)</th><th>Included Groups</th><th>Excluded Groups</th></tr>
<tr><th colspan="8">Suite</th></tr>
<tr><td><a href="#t0">Test</a></td><td class="num">10</td><td class="num">0</td><td class="num">0</td><td class="num">0</td><td class="num">23,619</td><td></td><td></td></tr>
</table>
<table id='summary'><thead><tr><th>Class</th><th>Method</th><th>Start</th><th>Time (ms)</th></tr></thead><tbody><tr><th colspan="4">Suite</th></tr></tbody><tbody id="t0"><tr><th colspan="4">Test &#8212; passed</th></tr><tr class="passedeven"><td rowspan="10">keywordDriver.ExecutingTestCases</td><td><a href="#m0">executeTestCases</a></td><td rowspan="10">1636120942417</td><td rowspan="10">2317</td></tr><tr class="passedeven"><td><a href="#m1">executeTestCases</a></td></tr><tr class="passedeven"><td><a href="#m2">executeTestCases</a></td></tr><tr class="passedeven"><td><a href="#m3">executeTestCases</a></td></tr><tr class="passedeven"><td><a href="#m4">executeTestCases</a></td></tr><tr class="passedeven"><td><a href="#m5">executeTestCases</a></td></tr><tr class="passedeven"><td><a href="#m6">executeTestCases</a></td></tr><tr class="passedeven"><td><a href="#m7">executeTestCases</a></td></tr><tr class="passedeven"><td><a href="#m8">executeTestCases</a></td></tr><tr class="passedeven"><td><a href="#m9">executeTestCases</a></td></tr></tbody>
</table>
<h2>Test</h2><h3 id="m0">keywordDriver.ExecutingTestCases#executeTestCases</h3><table class="result"><tr class="param"><th>Parameter #1</th><th>Parameter #2</th><th>Parameter #3</th><th>Parameter #4</th><th>Parameter #5</th></tr><tr class="param stripe"><td>null</td><td>enter password</td><td>type</td><td>id:txtPassword</td><td>admin123</td></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m1">keywordDriver.ExecutingTestCases#executeTestCases</h3><table class="result"><tr class="param"><th>Parameter #1</th><th>Parameter #2</th><th>Parameter #3</th><th>Parameter #4</th><th>Parameter #5</th></tr><tr class="param stripe"><td>null</td><td>verify page url</td><td>checkUrl</td><td>null</td><td>dashboard</td></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m2">keywordDriver.ExecutingTestCases#executeTestCases</h3><table class="result"><tr class="param"><th>Parameter #1</th><th>Parameter #2</th><th>Parameter #3</th><th>Parameter #4</th><th>Parameter #5</th></tr><tr class="param stripe"><td>null</td><td>verify page url</td><td>checkUrl</td><td>null</td><td>index.php/auth/login</td></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m3">keywordDriver.ExecutingTestCases#executeTestCases</h3><table class="result"><tr class="param"><th>Parameter #1</th><th>Parameter #2</th><th>Parameter #3</th><th>Parameter #4</th><th>Parameter #5</th></tr><tr class="param stripe"><td>null</td><td>click logout</td><td>lclick</td><td>linktext:Logout</td><td>null</td></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m4">keywordDriver.ExecutingTestCases#executeTestCases</h3><table class="result"><tr class="param"><th>Parameter #1</th><th>Parameter #2</th><th>Parameter #3</th><th>Parameter #4</th><th>Parameter #5</th></tr><tr class="param stripe"><td>null</td><td>verify page title</td><td>checkTitle</td><td>null</td><td>OrangeHRM</td></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m5">keywordDriver.ExecutingTestCases#executeTestCases</h3><table class="result"><tr class="param"><th>Parameter #1</th><th>Parameter #2</th><th>Parameter #3</th><th>Parameter #4</th><th>Parameter #5</th></tr><tr class="param stripe"><td>null</td><td>enter username</td><td>type</td><td>id:txtUsername</td><td>Admin</td></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m6">keywordDriver.ExecutingTestCases#executeTestCases</h3><table class="result"><tr class="param"><th>Parameter #1</th><th>Parameter #2</th><th>Parameter #3</th><th>Parameter #4</th><th>Parameter #5</th></tr><tr class="param stripe"><td>null</td><td>click login button</td><td>lclick</td><td>id:btnLogin</td><td>null</td></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m7">keywordDriver.ExecutingTestCases#executeTestCases</h3><table class="result"><tr class="param"><th>Parameter #1</th><th>Parameter #2</th><th>Parameter #3</th><th>Parameter #4</th><th>Parameter #5</th></tr><tr class="param stripe"><td>null</td><td>click welcome messgae</td><td>lclick</td><td>id:welcome</td><td>null</td></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m8">keywordDriver.ExecutingTestCases#executeTestCases</h3><table class="result"><tr class="param"><th>Parameter #1</th><th>Parameter #2</th><th>Parameter #3</th><th>Parameter #4</th><th>Parameter #5</th></tr><tr class="param stripe"><td>Verify successful login</td><td>open the appln url</td><td>navigate</td><td>null</td><td>https://opensource-demo.orangehrmlive.com/</td></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m9">keywordDriver.ExecutingTestCases#executeTestCases</h3><table class="result"><tr class="param"><th>Parameter #1</th><th>Parameter #2</th><th>Parameter #3</th><th>Parameter #4</th><th>Parameter #5</th></tr><tr class="param stripe"><td>TestCase</td><td>TestSteps</td><td>keywords</td><td>element</td><td>TestData</td></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
</body>
</html>
